cURL
curl --request POST \
--url https://api.example.com/api/workflow/v1.0/customer/{customerId}/workflow/{workflowId}/WorkflowExecution \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'{
"meta": {
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"validation": [
{
"property": "<string>",
"message": "<string>"
}
],
"info": {}
},
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"executionQueue": [
{
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobSubjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"created": "2023-11-07T05:31:56Z",
"finished": "2023-11-07T05:31:56Z",
"tasks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"parameters": {},
"isTrigger": true
}
],
"tasksHierarchy": [
{
"parent": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}Workflow API
Start workflow execution
POST
/
api
/
workflow
/
v1.0
/
customer
/
{customerId}
/
workflow
/
{workflowId}
/
WorkflowExecution
cURL
curl --request POST \
--url https://api.example.com/api/workflow/v1.0/customer/{customerId}/workflow/{workflowId}/WorkflowExecution \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'{
"meta": {
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"validation": [
{
"property": "<string>",
"message": "<string>"
}
],
"info": {}
},
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"executionQueue": [
{
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobSubjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"created": "2023-11-07T05:31:56Z",
"finished": "2023-11-07T05:31:56Z",
"tasks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"parameters": {},
"isTrigger": true
}
],
"tasksHierarchy": [
{
"parent": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/jsontext/jsonapplication/*+json
Show child attributes
Show child attributes
⌘I